#!/bin/sh

# Application name
app=brasilmobil

# Crosscompile?
docross=y

# Compiler
DEBIAN_BUILDARCH=i386
DEBIAN_BUILDGCCVER=2.95
if test "x$docross" = "xy"; then
	cross=arm-linux-g++-2.95.4
else
	cross=g++
fi

# Qt/embedded
if test "x$docross" = "xy"; then
	qt=/usr/local/qt-arm
	qpe=$qt/include/qpe
	flags="-nostdinc++ -DQWS -DQT_NO_DRAGANDDROP -DQT_NO_PROPERTIES -fno-rtti -I $qt/include -I $qpe"
else
	qt=/usr/local/qt2-embed-2.3.4-gcc2
	qpe=$qt/include/qpe
	flags="-nostdinc++ -DQWS -fno-rtti -I $qt/include -I $qpe"
fi
moc=$qt/bin/moc

# Generate moc files
mocs=`grep -H Q_OBJECT src/*.h | cut -d ":" -f 1`
for i in $mocs; do
	echo "+ automoc $i"
	o=`echo $i | cut -d "." -f 1`
	$moc $i -o $o.moc.cpp;
done

# Compile
for i in src/*.cpp src/*.cc; do
	echo "+ compile $i"
	$cross -c $i $flags;
done

# Link
echo "+ build"
if test "x$docross" = "xy"; then
	$cross -o opie-$app *.o -L /src/MoreKDE/opie-kamikaze/OpenZaurus/lib -lqte -lqpe -ljpeg
else
	$cross -o opie-$app *.o -L $qt/lib -lqte -lqpe
fi

# Cleanup
rm -f *.o
rm -f src/*.moc.cpp

# Local installation
mkdir -p zaurus
mv opie-$app zaurus

